package work_experience

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/work_experience"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /work_experience/delete work_experience DeleteWorkExperience
//
// Delete work experience information | 删除WorkExperience信息
//
// Delete work experience information | 删除WorkExperience信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteWorkExperienceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := work_experience.NewDeleteWorkExperienceLogic(r.Context(), svcCtx)
		resp, err := l.DeleteWorkExperience(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
